'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('./main.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var linkTagCache = {};

var DynamicIcon = (_temp = _class = function (_Component) {
  (0, _inherits3.default)(DynamicIcon, _Component);

  function DynamicIcon(props) {
    (0, _classCallCheck3.default)(this, DynamicIcon);

    var _this = (0, _possibleConstructorReturn3.default)(this, _Component.call(this, props));

    _this.state = {};
    return _this;
  }

  DynamicIcon.prototype.shouldComponentUpdate = function shouldComponentUpdate() {
    return false;
  };

  DynamicIcon.prototype.render = function render() {
    var _cx;

    var _props = this.props,
        className = _props.className,
        size = _props.size,
        type = _props.type,
        others = (0, _objectWithoutProperties3.default)(_props, ['className', 'size', 'type']);

    var classes = (0, _classnames2.default)((_cx = {}, (0, _defineProperty3.default)(_cx, 'ice-icon-stable-' + size, !!size), (0, _defineProperty3.default)(_cx, 'ice-icon-stable', true), (0, _defineProperty3.default)(_cx, 'ice-icon-stable-' + type, !!type), (0, _defineProperty3.default)(_cx, className, !!className), _cx));
    return _react2.default.createElement('i', (0, _extends3.default)({}, others, { className: classes }));
  };

  return DynamicIcon;
}(_react.Component), _class.displayName = 'DynamicIcon', _class.propTypes = {
  /**
   * 指定显示哪种图标
   */
  type: _propTypes2.default.string,
  /**
   * 指定图标大小
   */
  size: _propTypes2.default.oneOf(['xxs', 'xs', 'small', 'medium', 'large', 'xl', 'xxl', 'xxxl'])
}, _class.defaultProps = {
  size: 'medium'
}, _temp);
DynamicIcon.displayName = 'DynamicIcon';
exports.default = DynamicIcon;
module.exports = exports['default'];